package com.dsk.cscec.domain;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;

/**
 * 组织维表(DCustomer)表实体类
 *
 * @author lcl
 * @since 2023-12-08 14:57:25
 */
@Data
public class DCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * ipm供应商id
     */
    private String customerId;
    /**
     * ipm供应商名称
     */
    private String cusomerName;
    /**
     * 财务客商编码
     */
    private String finCustomerCode;
    /**
     * 财务客商名称
     */
    private String finCustomerName;
    /**
     * 税号
     */
    private String taxNumber;
    /**
     * 是否有效 Y 有效 N 无效
     */
    private String isvalid;
    /**
     * 供应商编号
     */
    private String customerCode;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 供应商状态
     */
    private String customerState;
    /**
     * 推荐公司ID
     */
    private String recommendOrgId;
    /**
     * 推荐公司
     */
    private String recommendOrg;
    /**
     * 准入时间
     */
    private Date approveDate2;
    /**
     * 版本
     */
    private Long version;
    /**
     * 供应商id
     */
    private String supplierId;
    /**
     * 供应商类别编码
     */
    private String customerCategoryCode;
    /**
     * 法人代表
     */
    private String representative;
    /**
     * 工商注册号
     */
    private String registerNo;
    /**
     * 统一社会信用代码
     */
    private String unifySocialCode;
    /**
     * 税务登记号
     */
    private String businessLicense;
    /**
     * 组织机构代码号
     */
    private String orgnizationCode;
    /**
     * 注册资金
     */
    private Double registerCapital;
    /**
     * 主营业务
     */
    private String primaryBusiness;
    /**
     * 资质等级
     */
    private String credential;
    /**
     * 品牌
     */
    private String brand;
    /**
     * 地址
     */
    private String address;
    /**
     * 城市id
     */
    private String registerCityId;
    /**
     * 注册地区域
     */
    private String registerRegion;
    /**
     * 省份
     */
    private String registerProvince;
    /**
     * 城市
     */
    private String registerCity;
    /**
     * 开户行
     */
    private String openBank;
    /**
     * 银行账号
     */
    private String bankAccount;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 电话
     */
    private String contactPhone;
    /**
     * 手机
     */
    private String mobile;
    /**
     * 邮编
     */
    private String zipcode;
    /**
     * email
     */
    private String email;
    /**
     * 网址
     */
    private String website;
    /**
     * 备注说明
     */
    private String remark;
    /**
     * 地区编号
     */
    private String areaCode;
    /**
     * 货币种类
     */
    private String currency;
    /**
     * 所属组织机构id
     */
    private String orgnizationId;
    /**
     * 类型
     */
    private String customerType;
    /**
     * 企业信用情况
     */
    private String creditSituation;
    /**
     * 创建者id
     */
    private String employeeId;
    /**
     * 成立日期
     */
    private String establishDate;
    /**
     * 区号
     */
    private String phoneCode;
    /**
     * 企业性质
     */
    private String customerProperty;
    /**
     * 职务
     */
    private String sectorPosition;
    /**
     * 鉴别字段
     */
    private String scope;
    /**
     * 传真
     */
    private String fax;
    /**
     * 供应商类别
     */
    private String customerClass;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 附属子公司名称
     */
    private String subCompany;
    /**
     * 联营公司名称
     */
    private String alliedCompany;
    /**
     * 营业额
     */
    private Double turnOver;
    /**
     * 主要客户
     */
    private String mainCustomer;
    /**
     * 主要货源
     */
    private String mainResource;
    /**
     * 主要经营区域
     */
    private String mainRegion;
    /**
     * 原材料供应情况
     */
    private String rawMaterial;
    /**
     * 生产线及产能情况
     */
    private String productline;
    /**
     * 客商类型
     */
    private String customerCategoryType;
    /**
     * 所属母公司名称
     */
    private String customerFirm;
    /**
     * 客商类型id
     */
    private String customertypeId;
    /**
     * 供应商类别id
     */
    private String customerCategoryTypeId;
    /**
     * 企业注册地
     */
    private String registerAddress;
    /**
     * 工厂仓库所在地
     */
    private String warehouseAddress;
    /**
     * 合作产品
     */
    private String teamworkProduct;
    /**
     * 供方类型
     */
    private String isfactoryorfranchise;
    /**
     * 营业执照到期时间1
     */
    private Date expireDate1;
    /**
     * 组织机构代码证到期时间2
     */
    private Date expireDate2;
    /**
     * 税务登记证到期时间3
     */
    private Date expireDate3;
    /**
     * 资质证书到期时间4
     */
    private Date expireDate4;
    /**
     * 安全生产许可证到期时间5
     */
    private Date expireDate5;
    /**
     * 队长名称
     */
    private String leaderName;
    /**
     * 专业类别id
     */
    private String groupSpecialtyId;
    /**
     * 集团专业类别
     */
    private String groupSpecialty;
    /**
     * 经营管理能力
     */
    private String manageAbility;
    /**
     * 产品质量保证能力
     */
    private String productQualityAbility;
    /**
     * 施工承包范围
     */
    private String constructJobScope;
    /**
     * 经办人
     */
    private String responsiblePerson;
    /**
     * 签字时间
     */
    private Date approveDate1;
    /**
     * 是否同意准入
     */
    private String isagree;
    /**
     * 商务经理
     */
    private String businessManager;
    /**
     * 项目经理
     */
    private String projectManager;
    /**
     * 采购部门负责人
     */
    private String purchasePrincipal;
    /**
     * 上级公司代码
     */
    private String upperCompanyCode;
    /**
     * 劳务队伍标志
     */
    private String serviceTeamLogo;
    /**
     * 劳务队长身份证号
     */
    private String laborCaptainIdcard;
    /**
     * 劳务队长联系电话
     */
    private String laborCaptainPhone;
    /**
     * 队伍规模人数
     */
    private Double serviceTeamPersonnum;
    /**
     * 专业特长
     */
    private String serviceTeamSpeciality;
    /**
     * 二级市场企业编码
     */
    private String secondaryCode;
    /**
     * 商务经理签字时间
     */
    private Date approveDate3;
    /**
     * 项目经理签字时间
     */
    private Date approveDate4;
    /**
     * 业务流程状态
     */
    private String flowState;
    /**
     * 是否为进京劳务企业
     */
    private String isenterbjlaborcomany;
    /**
     * 施工队长资格证到期时间6
     */
    private String expireDate6;
    /**
     * 授权委托书到期时间7
     */
    private String expireDate7;
    /**
     * 考评等级
     */
    private String creditLevel;
    /**
     * 数据标志
     */
    private String baseLogo;
    /**
     * 推荐项目
     */
    private String recommendProject;
    /**
     * 推荐项目ID
     */
    private String recommendProjectId;
    /**
     * 客商推荐时间
     */
    private Date recommendDate;
    /**
     * 资质证书号
     */
    private String aptitudeCard;
    /**
     * 安全生产许可证号
     */
    private String workSafetyLicense;
    /**
     * 主表
     */
    private String masterId;
    /**
     * 纳税人身份
     */
    private String paytaxType;
    /**
     * 纳税人税率
     */
    private String taxRate;
    /**
     * 身份信息选择
     */
    private String cardType;
    /**
     * 客商分数
     */
    private Double customerScore;
    /**
     * 客商名称2
     */
    private String customerName2;
    /**
     * 客商名称3
     */
    private String customerName3;
    /**
     * 客商名称4
     */
    private String customerName4;
    /**
     * 国家
     */
    private String country;
    /**
     * 一体化客商类型
     */
    private String finCustomerType;
    /**
     * 公司编码
     */
    private String companyCode;
    /**
     * 业主性质
     */
    private String ownerKind;
    /**
     * 客商性质
     */
    private String customerKind;
    /**
     * 数据来源
     */
    private String dataSource;
    /**
     * 是否业主
     */
    private String isowner;
    /**
     * 是否供应商
     */
    private String iscustomer;
    /**
     * 地址1
     */
    private String abbrName1;
    /**
     * 地址2
     */
    private String abbrName2;
    /**
     * 税率类型
     */
    private String taxType;
    /**
     * 是否冻结
     */
    private String isfreeze;
    /**
     * 数据变化时间
     */
    private String updateDate;
    /**
     * 数据更新时间
     */
    private Date loadTime;
}

