package com.dsk.cscec.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * 项目维表(DProject)表实体类
 *
 * @author sxk
 * @since 2023-12-10 15:34:49
 */
@SuppressWarnings("serial")
public class DProject extends Model<DProject> {
    //项目主键
    private Long projectKey;
    //项目ID
    private String projectId;
    //项目编码
    private String projectCode;
    //IPM项目名称
    private String projectName;
    //财务项目编码
    private String finProjectCode;
    //财务项目名称
    private String finProjectName;
    //项目简称
    private String projectShortName;
    //项目标准名称
    private String projectStandardName;
    //云筑网项目编码（预留）
    private String projectCodePurchase;
    //云筑网项目名称（预留）
    private String projectNamePurchase;
    //项目部ID
    private String projectdeptId;
    //项目部主键
    private Long projectdeptKey;
    //项目部名称
    private String projectdeptName;
    //大项目部ID
    private String bigprojectdeptId;
    //大项目部名称
    private String bigprojectdeptName;
    //评比用的大项目部ID
    private String bigprojdeptAnaId;
    //评比用的大项目部编码
    private String bigprojdeptAnaCode;
    //评比用的大项目部名称
    private String bigprojdeptAnaName;
    //评比用的大项目部经理
    private String bigprojdeptAnaManager;
    //评比用的大项目部手机号
    private String bigprojdeptAnaMobile;
    //分公司ID
    private String orgLevelId3;
    //分公司名称
    private String orgLevelName3;
    //子企业ID
    private String orgLevelId2;
    //子企业名称
    private String orgLevelName2;
    //子企业排序
    private Long dispIndexLevel2;
    //分公司排序
    private Long dispIndexLevel3;
    //大项目排序
    private Long dispIndexLevel4;
    //组织机构主键
    private Long orgKey;
    //合同主键
    private Long contractKey;
    //施工单位属性
    private String jobunitAttribute;
    //承包单位ID
    private String contractOrgId;
    //承包单位主键
    private String contractOrgName;
    //签约单位属性
    private String contractunitAttribute;
    //监理单位
    private String supervisorOrgName;
    //设计单位
    private String designOrgName;
    //流程状态
    private String flowStateName;
    //流程状态
    private String projectState;
    //业主结算状态
    private String ownerbalanceState;
    //分包结算状态
    private String subbalanceState;
    //财务清算状态
    private String financeState;
    //商务状态
    private String businessState;
    //中标信息主键
    private String bidKey;
    //业主主键
    private Long ownerKey;
    //业主名称
    private String ownerName;
    //业主性质
    private String ownerNature;
    //客户线-业主层级
    private String ownerOrgLevel;
    //客户线-业主类型
    private String ownerTypeLevel;
    //竞标方式主键
    private Long competbidTypeKey;
    //竞标方式名称
    private String competbidType;
    //所属集团
    private String keyaccountName;
    //是否关键客户
    private Long isgroupkeyaccount;
    //关键客户类别
    private String groupkeyaccountClass;
    //关键客户等级
    private String groupkeyaccountGrade;
    //是否军方
    private Long ismilitary;
    //是否市场
    private Long ismarket;
    //工程类型主键
    private Long projectTypeKey;
    //工程类型上级名称
    private String projectType1;
    //工程类型名称
    private String projectType2;
    //产品线主键
    private Long productlineKey;
    //产品线名称
    private String productlineName2;
    //产品线上级名称
    private String productlineName1;
    //市场模式主键
    private Long marketjobTypeKey;
    //市场模式名称
    private String markJobType;
    //市场模型上级名称
    private String marketjobTypeName1;
    //承包模式主键
    private Long jobTypeKey;
    //承包模式名称
    private String jobType;
    //承包模式上级名称
    private String jobTypeName1;
    //资金来源主键
    private Long moneySourceKey;
    //资金来源名称
    private String moneySource;
    //资金来源上级名称
    private String moneySourceName1;
    //重点项目级别
    private String projectLevel;
    //工程用途（中标交底）
    private String projectPurpose;
    //是否重点项目
    private Long projectGrade;
    //f_tax_sale_invoice_detail
    private Long ishomesupport;
    //是否内部项目
    private String isinternalproject;
    //是否房地产项目
    private String isestateproject;
    //是否投资项目
    private String isinvestproject;
    //进度款支付方式
    private String steppayType;
    //进度款支付比例
    private Double steppayScale;
    //项目所处阶段
    private String projectPhase;
    //项目类型
    private String projectType;
    //结构形式
    private String structureType;
    //基础形式
    private String projectBaseFormat;
    //市场所属区域主键
    private Long marketAreaKey;
    //市场所属区域名称
    private String marketAreaName;
    //省份名称
    private String provinceName;
    //省份缩写
    private String provinceAbbrName;
    //物理区域主键
    private Long areaKey;
    //物理区域名称
    private String areaName;
    //城市名称
    private String cityName;
    //县市
    private String districtName;
    //项目地址
    private String projectAddress;
    //合同生效(盖章)日期
    private Date contractSignDate;
    //合同开工日期
    private Date contractStartDate;
    //合同竣工日期
    private Date contractEndDate;
    //实际开工日期
    private Date actualStartDate;
    //实际完工时间
    private Date actualEndDate;
    //计划开工日期
    private Date planStartDate;
    //计划竣工日期
    private Date planEndDate;
    //中标日期
    private Date bidwinDate;
    //预计签约日期
    private Date planSignDate;
    //签约日期
    private Date signDate;
    //合同签订月份
    private String contractSignMonth;
    //项目经理主键
    private String projectManagerKey;
    //项目经理名称
    private String projectManagerName;
    //项目经理电话
    private String projectManagerPhone;
    //执行经理主键
    private String executeManagerKey;
    //执行经理名称
    private String executeManagerName;
    //执行经理电话
    private String executeManagerPhone;
    //商务经理主键
    private String busiManagerKey;
    //商务经理名称
    private String busiManagerName;
    //商务经理电话
    private String busiManagerPhone;
    //总工程师主键
    private String chiefEngineerKey;
    //总工程师名称
    private String chiefEngineerName;
    //总工程师电话
    private String chiefEngineerPhone;
    //生产经理主键
    private String produceManagerKey;
    //生产经理名称
    private String produceManagerName;
    //生产经理电话
    private String produceManagerPhone;
    //党支部书记主键
    private String cpcManagerKey;
    //党支部书记名称
    private String cpcManagerName;
    //党支部书记电话
    private String cpcManagerPhone;
    //党支部副书记主键
    private String cpcViceManagerKey;
    //党支部副书记名称
    private String cpcViceManagerName;
    //党支部副书记电话
    private String cpcViceManagerPhone;
    //机电经理主键
    private String machineManagerKey;
    //机电经理名称
    private String machineManagerName;
    //机电经理电话
    private String machineManagerPhone;
    //安全总监主键
    private String safeManagerKey;
    //安全总监名称
    private String safeManagerName;
    //安全总监电话
    private String safeManagerPhone;
    //财务总监主键
    private String financeManagerKey;
    //财务总监名称
    private String financeManagerName;
    //财务总监电话
    private String financeManagerPhone;
    //质量总监主键
    private String qualifyManagerKey;
    //质量总监名称
    private String qualifyManagerName;
    //质量总监电话
    private String qualifyManagerPhone;
    //项目相关指标
    private Double projectScaleKpi;
    //项目相关指标单位
    private String projectScaleKpiUnit;
    //合同总金额（项目表）
    private Double contractValue;
    //合同税额（合同分解表）
    private Double contractTaxValue;
    //不含税合同额（合同分解表）
    private Double contractValueExcl;
    //合同自施金额（项目表）
    private Double ttlContractSelfValue;
    //合同自施税额（合同分解表）
    private Double contractSelfTaxValue;
    //不含税合同自施额（合同分解表）
    private Double contractSelfValueExcl;
    //承包主合同金额（合同表）
    private Double contractOrigValue;
    //承包主合同自施金额（合同表）
    private Double contractOrigSelfvalue;
    //补充协议金额（合同表）
    private Double contractModifyValue;
    //补充协议自施金额（合同表）
    private Double contractModifySelfvalue;
    //商务自施额
    private Double businessSelfValue;
    //合同变更索赔额
    private Long contractClaimValue;
    //预计收入
    private Double estiTtlIncome;
    //预计成本
    private Double estiTtlCost;
    //预计收益
    private Double estiTtlProfit;
    //预收益率
    private Double estiProfitRate;
    //目标收益率
    private Double targetProfitRate;
    //合同总工期
    private String contractWorkDays;
    //计划工期（天）
    private String planWorkDays;
    //建筑面积
    private Double buildingArea;
    //地上层数
    private String noOfOverfloor;
    //地下层数
    private String noOfUnderfloor;
    //建筑高度(m)
    private String constructHeight;
    //长(跨)度
    private String constructLongspan;
    //单体工程数量(座)
    private String constructQty;
    //目标工期
    private String targetWorkDays;
    //项目管理人员数
    private BigDecimal noOfProjectMaster;
    //工程概况
    private String projectOverview;
    //工程概况
    private String projectQualitygoals;
    //产值批复模式
    private String outputStatMode;
    //项目规模
    private String projectScale;
    //计税方式
    private String vatType;
    //税率
    private Double taxRate;
    //保修完成日期
    private Date guaranteeOverDate;
    //停工日期
    private Date suspensionDate;
    //退场日期
    private Date exitDate;
    //清理日期
    private Date checkupDate;
    //清算日期
    private Date liquidationDate;
    //是否完成成本锁定
    private String iscostlock;
    //员工主键
    private Long staffKey;
    //项目人数
    private Long personnumProject;
    //是否计算收入线
    private String iscalincome;
    //是否计算成本线
    private String iscalcost;
    //项目封账类型
    private String costinventoryType;
    //实际完工时间
    private Date actualFinishDate;
    //分包结算完毕日期
    private Date subSettleDate;
    //业主结算完毕日期
    private Date ownerSettleDate;
    //是否需目标责任书
    private String isresponse;
    //财务手工导入的财务清算状态
    private String ffipstate;
    //担保比例
    private Double guaranteeRatio;
    //目标责任书上报日期
    private Date reportDate;
    //应上报目标责任书日期
    private Date mustReportDate;
    //是否公示二维码
    private String isqrcodeSupervision;
    //是否启用环保监督
    private String isenableSupervision;
    //经度
    private Double longitude;
    //纬度
    private Double latitude;
    //人员规模
    private String projectHrScale;
    //数据更新时间
    private Date loadTime;

}

